* 3.2.5 (2013-02-17)
全般
・ファイルの差し替えミスがあったため最新ファイルに更新（点訳モードで日本語表示中に折り返された行の先頭に4の点が表示されるままになっていた）

* 3.2.4 (2013-02-03)
AiB Edit 3.2.2
・マニュアルを開くメニューを追加
・バージョン情報を表示するメニューを追加
AiB Terminal 3.1.4
・マニュアルを開くメニューを追加
・バージョン情報を表示するメニューを追加

* 3.2.3 (2013-01-26)
全般
・ピンブレイルを最新版に更新
・四つの半角文字 " ( ) + の点字表示が正しく行われないことがあった問題を修正
・全角文字 ？ ・ 、 の直後に半角文字が続く場合に点字表示が正しく行われないことがあった問題を修正
・点訳モードをオンにした場合に行折り返しが適切に行われないことがあった問題を修正
・点訳モードで日本語表示中、折り返された行の先頭に4の点を表示しないよう修正

* 3.2.2 (2013-01-13)
AiB Edit 3.2.1
・点訳モードを使用した後に点字表示機能をオフにすると上下方向キーが聞かなくなる
　不具合を修正
AiB Terminal 3.1.3
・出力ウィンドウがフォーカスされている状態で文字入力を開始した場合に入力した
　文字を音声読み上げるするよう改善
・編集ウィンドウで Ctrl+C または「編集」メニューの「コピー」を実行すると
　選択文字列を切り取ってしまう問題を修正

* 3.2.1 (2012-12-02)
全般
・ピンブレイルを更新、対応点字ディスプレイの機種を拡充（ブレイルセンス・オン
　ハンド、清華80、清華ミニ）

* 3.2.0 (2012-11-23)
AiB Edit 3.2.0
・「点訳モード」に対応
・新規作成したファイルを書き込みアクセスが許可されていないフォルダへ保存しよう
　とすると例外が発生する問題を修正
・メイン画面のメニューにショートカットキーを表示するように
・ファイルダイアログの項目名が一部文字化けする問題を修正
・点字ディスプレイのキー操作により空行へとカーソルを移動すると例外が
　発生することがある問題を修正
全般
・インストール時にPATH環境変数へAiB Toolsフォルダのパスを追加するように

* 3.1.7 (2011-09-17)
全般
・同梱しているピンブレイル制御用ファイル(PINCTRL.DLL)が最新でなかったため
　64ビット版Windowsで正しく点字ディスプレイを制御できなかった問題を修正

* 3.1.6 (2011-06-05)
AiB Terminal 3.1.2
・起動時に存在しないドライブレターへ cd コマンドで移動しようとすると
　例外が発生する問題を修正

* 3.1.5 (2011-05-29)
AiB Terminal 3.1.1
・カレントドライブを変更するとファイル名補完や _csc コマンド等が正しく
　実行できない問題を修正

* 3.1.4 (2011-05-04)
ピンブレイル
・64ビット版Windowsに対応

* 3.1.3 (2011-02-13)
AiB Edit 3.1.1
・最後に終了したときのウィンドウの位置・サイズ・最大化状態を次回起動時に
　復元するように
CommonUtl 3.1.1
・USB接続式の点字ディスプレイを正常に扱えない問題を修正
ピンブレイル
・点字ディスプレイの使用・不使用を短い間隔で切り替えるとフリーズすることがある
　問題に対処

* 3.1.2 (2010-12-12)
ピンブレイル
・点字表示の改善

* 3.1.1 (2010-12-05)
ピンブレイル
・点字の表示方式の指定が正しく反映されないことがある問題を修正
インストーラ
・ピンブレイルを使うソフトウェアが一つもインストールされていない環境で
　インストールに失敗することがある問題を修正

* 3.1.0 (2010-09-05)
AiB Edit 3.1.0
・ニュー・ブレイル・システム株式会社の「ピンブレイル」AiB Tools 専用版を同梱
・マニュアル中「NBSエンジン」という表記を「ピンブレイル」に変更
・点字ディスプレイの画面端に行番号と列番号をステータス表示する機能を追加
・点字ファイルの出力機能を追加（ニュー・ブレイル・システム株式会社の協力による）
・ファイルダイアログでワイルドカードを使った一覧ファイルの絞り込みが
　動作しなくなっていた問題を修正
・文字コードを指定してファイルを開く機能が正常に動作しないことがある問題を修正
・「最近使ったファイル」が記録されないことがある問題を修正
・「最近使ったファイル」からファイルを開いた場合にカーソルが常に表示される
　ように修正
・他のプログラムで変更されたファイルを読み直す場合にカーソルが常に表示される
　ように修正
・テキストファイルのアウトライン表示を行うとき、特定条件を満たすとクラッシュ
　する問題を修正
・テキストエディタのエンジンとして Azuki を使わない場合でも 30kB を超える
　テキストも使用可能に
・テキストエディタのエンジン Azuki を最新版(v1.5.7)に更新
AiB Terminal 3.1.0
・AiBTools.CommonUtl.dll の修正に伴う内部的な変更
CommonUtl 3.1.0
・ニュー・ブレイル・システム株式会社の「ピンブレイル」AiB Tools 専用版を同梱
・点字ディスプレイのカーソル表示方法に「点滅」を追加
・点字ディスプレイの左端または右端にステータス表示する機能を追加（現在は
　行番号のみ）
・パックメイト20、パックメイト40、ブレイルセンス、ブレイルメモ32、Focus 40 Blue
　に対応
・ブレイルノート20A、TDC32C、ブレイルライト、ブレイルライト40 のサポート対象から
　除外

* 3.0.3 (2009-05-05)
AiB Edit 3.0.1
・Insert キーを押して上書きモードと挿入モードを切り替えたときに音声アナウンスを
　出すように
CommonUtl 3.0.1

* 3.0.2 (2009-02-22)
AiB Terminal 3.0.2
・２回目以降の _csc や _javac コマンドが高確率で「指定したファイルが見つかり
　ません」と出て失敗する問題を修正

* 3.0.1 (2009-02-11)
AiB Terminal 3.0.1
・コマンド最初の文字として i と o を入力するとフォーカス移動と解釈され正常に
　入力できない問題を修正（Alt+I、Alt+O によるフォーカス移動を禁止）

* 3.0.0 (2008-12-21)
AiB Edit 3.0.0
・テキストエディタのエンジンとして Azuki を選べるように
・スマート Home 機能（Home キーで行頭ではなく行中最初の非空白文字へカーソル
　移動）を追加
・ファイルダイアログで UNC パスが指定できるように
・ファイルダイアログでワイルドカードを使って表示するファイルを絞り込めるように
・一部メニュー構成を変更（Ctrl+Dで書類一覧など）
・極めて短い時間内に連続で起動すると動作が不安定になることがある問題を修正
・パスに日本語を含むようなファイルの、「最近使ったファイル」の履歴が正しく
　保持されない問題を修正
・「最近使ったファイル」の履歴ファイルが無いと起動に失敗する問題を修正
・「最近使ったファイル」の履歴ファイルが破損している場合に発生する問題を修正
AiB Terminal 3.0.0
・_javac と _csc の機能を内蔵
・日本語文字から入力を開始できない問題を修正
・CD コマンドでアクセス権限の無いディレクトリへ移動した場合などに不安定化する
　問題を修正
・履歴ダイアログなどを表示したときに点字表示が更新されないことがある問題を修正
CommonUtl 3.0.0

* 2.9.0 (2008-01-11)
AiB Edit 2.9.0
・ファイルダイアログでドライブの一覧（マイコンピュータ）へジャンプする
　ショートカットキーを追加
・ファイルダイアログで表示中フォルダを変更するショートカットキーを変更
AiB Terminal 2.7.0
・入力確定後のカーソル位置を最後の入力の行ではなく、出力の先頭行に置く設定が
　できるように

* 2.8.1 (2007-10-14)
AiB Edit 2.8.1
・「名前を付けて保存」で同じファイルに上書きすると例外が発生する問題を修正
・ファイルダイアログでフルパスを指定した後で不安定になる問題を修正
AiB Terminal 2.6.4
・CDコマンドに与えるパスが特定条件を満たすと例外が発生する問題を修正
・メニューにコピー＆ペースト関連の項目を追加

* 2.8.0 (2007-07-27)
_csc 1.0.0
_javac 2.0.9
AiB Edit 2.8.0
・C# 言語用のアウトライン機能を追加
・アウトライン画面の読み上げを改善
・タイトル文字列の書式を変更

* 2.7.3 (2007-07-02)
_javac 2.0.8
AiB Edit 2.7.8
・「上書き保存」を実行すると例外が発生する問題を修正（v2.7.6, v2.7.7 でのみ現
　れた問題）
・Excel 等が非共有モードで開いているファイルを開くと例外が発生する問題を修正
・検索パターンに不正な正規表現を指定した時に表示されるメッセージボックスで点字
　表示が行われない問題を修正
・「名前を付けて保存」で既に開いているファイルに上書きした場合、同じファイルを
　二つのウィンドウで編集する状況が発生する問題を修正
・各メッセージボックスの読み上げを改善
・ファイルを開いた時、閉じた時、切り替えた時の読み上げを改善
AiB Terminal 2.6.3
・音アイコンが鳴らない事がある問題を修正
・各メッセージボックスの読み上げを改善
CommonUtl 1.4.3
・スクリーンリーダーの外部制御機能を向上

* 2.7.2 (2007-06-28)
AiB Edit 2.7.7
・COM ポートの無い環境で機種設定ダイアログを開くと例外が発生する問題を修正
・安定性を向上
AiB Terminal 2.6.2
・COM ポートの無い環境で機種設定ダイアログを開くと例外が発生する問題を修正
CommonUtl 1.4.2
・COM ポートの無い環境で機種設定ダイアログを開くと例外が発生する問題を修正

* 2.7.1 (2007-05-01)
_javac 2.0.7
AiB Edit 2.7.6
・NBS エンジンが無い環境でアウトラインダイアログなどを閉じると例外が発生する
　問題を修正
・まれに設定が保存されないことがある問題を修正
・読み取り専用のファイルを上書き保存しようとすると例外が発生する問題を修正
・BOM コードを付けてファイルを保存すると改行コードの指定が無視される問題を修正
AiB Terminal 2.6.1
・AiB Terminal 上で起動したプログラムが異常終了すると例外が発生する問題を修正
・出力ウィンドウで Enter を押した場合にカーソル位置がリセットされない問題を修正
CommonUtl 1.4.1
・NBS エンジンが無い環境下で起こる問題を修正

* 2.7.0 (2007-04-28)
_dir 1.2.0
AiB Edit 2.7.5
・プレーンテキストを Pukiwiki 形式と見なしてアウトライン表示する機能を追加
・何もファイルを開いていない状態で「最近使ったファイル」メニューからファイルを
　開くと一時的に編集不能になる問題を修正
・パスとして不正な文字を含むファイル名を指定してコマンドラインから起動すると
　起こる問題を修正
AiB Terminal 2.6.0
・95Reader で読み上げ可能に
・出力を受け取った時に音アイコンを鳴らすように
・入力を送信した時に音アイコンを鳴らすように
・出力ウィンドウ中のカーソル位置をリセットした時に音アイコンを鳴らすように
・Tab キーによるファイル名補完を行った時に点字ディスプレイの表示が更新されない
　問題を修正
_javac 2.0.6
CommonUtl 1.4.0
・ネイティブ RichEdit ウィンドウライブラリ (SgRichEdit) 導入
・音アイコンを再生する機能を追加
NbsEngine
・CommonUtl に統合されて無くなった

* 2.6.4 (2007-03-17)
AiB Edit 2.7.4
・ファイルダイアログのデスクトップ移動等のショートカットが効かない問題を修正

* 2.6.3 (2007-03-06)
AiB Edit 2.7.3
・95Reader で読み上げ可能に
・アウトライン画面の読み上げを改善
・最近使ったファイルメニューに表示する項目数を 17 に制限
・ファイルダイアログでまれに点字ディスプレイの表示がされないことがある問題を修正
AiB Terminal 2.5.5
・95Reader で出力ウィンドウ以外が読み上げ可能に
・ウィンドウタイトルを AiBTerminal から AiB Terminal に修正

* 2.6.2 (2007-02-20)
_javac 2.0.5
AiB Edit 2.7.2
・特定条件下でファイルを重複して開けてしまう問題を修正
・特定条件下でコマンドライン引数によるカーソルの移動に失敗する問題を修正
・JAWS での読み上げを改善
AiB Terminal 2.5.4
・JAWS での読み上げを改善
CommonUtl 1.2.0
・JAWS 7.1 の音声制御に対応
・JAWS の音声停止の制御が環境により効果無かったのを修正
NbsEngine 1.1.1
・NbsMessageBox の JAWS での読み上げを改善

* 2.6.1 (2007-02-10)
AiB Edit 2.7.1
・最近使ったファイルの履歴が正しく管理されていなかったのを修正
・点字ディスプレイを使わない設定でファイルを開くと例外発生することがある問題を
　修正

* 2.6.0 (2007-02-06)
AiB Edit 2.7.0
・編集モードを自由に変更できるように
　（アウトライン抽出ロジックなどが変更可能になります）
・最近使ったファイルの履歴を残すように
・ファイル保存時の改行コードを指定できるように
・「読み直す」メニューの「同じエンコーディング」を「エンコーディングを推定」に
　変更
・「開く」ダイアログで、存在しないファイルを指定した後に
　ファイルを作成するかと尋ねられて作成すると答えても作成できず失敗する問題を修正
AiB Terminal 2.5.3
・入力履歴の一覧方法を変更
・UI の細かい修正

* 2.5.0 (2007-01-17)
AiB Edit 2.6.0
・複数ファイルの編集に対応
・ファイル保存時の改行コードが常に LF になる問題を修正
_javac 2.0.4
NbsEngine 1.1.0
  ・点字ディスプレイ上のカーソル表示の有効無効を切り替え可能に
CommonUtl 1.1.1
  ・内部的な修正
FileTypes
  ・AiBEdit.exe に統合されて無くなった

* 2.4.0 (2006-12-26)
AiB Edit 2.5.0
・C/C++ 用のアウトライン機能を追加
・アウトライン解析(Java, Ruby)の精度を向上
AiB Terminal 2.5.2
・出力ウィンドウで Enter を押しても入力と見なされなかった問題を修正
NbsEngine 1.0.3
  ・点字ディスプレイ上のキーイベントが複数回発生しうる問題を修正
FileTypes 1.0.0
  ・バージョンを付け始めた

* 2.3.2 (2006-11-30)
CommonUtl 1.1.0
  ・FocusTalk に仮対応

* 2.3.1 (2006-11-23)
AiB Edit 2.4.5
・内部的な細かい修正
AiB Terminal 2.5.1
・軽微な問題を修正
CommonUtl 1.0.2
  ・JAWS がインストールされていない環境で例外が発生する問題を修正

* 2.3.0 (2006-11-23)
AiB Terminal 2.5.0
・入力履歴の一覧機能を追加

* 2.2.0 (2006-11-17)
AiB Terminal 2.4.0
・ファイル名補完機能を追加
・操作体系を変更
　ESC のフォーカス先を出力ウィンドウに

* 2.1.4 (2006-11-06)
AiB Edit 2.4.4
・検索関連の細かい修正

* 2.1.3 (2006-11-03)
AiB Edit 2.4.3
・点字表示関連の細かい修正
AiB Terminal 2.3.1
・点字表示関連の細かい修正

* 2.1.2 (2006-10-24)
NBSEngine 1.0.1
  ・CommonUtl の構造変更へ対応
CommonUtl 1.0.1
  ・内部的な構造の変更

* 2.1.1 (2006-10-22)
AiB Edit 2.4.2
・ファイルダイアログを改良（音声ガイドを付加）
・NBSエンジンを利用中、空行で終わるファイルでカーソルを末尾に移動すると
　異常終了する問題を修正
NBSEngine 1.0.0
・バージョンを付け始めた
CommonUtl 1.0.0
・バージョンを付け始めた

* 2.1.0 (2006-10-16)
AiB Edit 2.4.0
・テキスト編集エンジンをWin32ネイティブの RichEdit50W に
　（各スクリーンリーダーでの読み上げが改善）。
・Ruby 用のアウトライン機能を追加
・開く（保存する）ファイルを選択するダイアログを自作、点字対応
・ファイルのエンコーディングを指定して保存する機能を追加
・ファイルのエンコーディングを指定して開く機能を追加
・ファイルを開く時にエンコーディングを自動判別する機能を追加
・ファイルのエンコーディングを指定して読み直す機能を追加
・点字ディスプレイのタッチカーソルキーとShiftキーを併用するとテキスト選択でき
　るように
・重複オープン禁止のロジックに抜けがあったのを修正
・対応するカッコへカーソルを移動する機能を追加
・配色を変更
・内部的な修正
AiB Terminal 2.3.0
・出力ウィンドウでコマンド入力を開始した場合にエラー音がなる問題を修正
・入力履歴を呼び出す機能を追加
・Shift+Enter で入力を決定すると改行コードを含めずに入力を送信できるように
・メイン画面のデザインを修正、PC-Talker による読み上げを改善
・配色を変更
・内部的な修正
_javac 2.0.3
_dir 1.1.0

* 2.0.1 (2006-08-26)
AiB Edit 2.0.6
・点字表示が正常に行われないことがある問題を修正
AiB Terminal 2.2.0
・出力ウィンドウがフォーカスされている時にコマンドの入力を開始すると、
　自動的に入力ウィンドウへフォーカスを移すように修正（その際にエラー音が鳴る）
・子プロセスから送られてきたエスケープシーケンスを無視するように
・点字表示が正常に行われない事がある問題を修正

* 2.0.0 (2006-08-21)
AiB Edit 2.0.5
・_javacとの連携に失敗することがあった問題を修正
・点字ディスプレイを使うかどうかの設定が保存されない問題を修正
AiB Terminal 2.1.1
・点字ディスプレイを使うかどうかの設定が保存されない問題を修正
_javac 2.0.1
_dir 1.0.0
